My Project: Touch Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Touch Class Reference

`#include <touch.h>`

## Public Member Functions

| Touch (int xx, int yy, int old_xx, int old_yy, int touch_type)

## Static Public Member Functions

static void | ClearTouches ()
static int | CountTouches ()
static int | CountAllTouches ()
static int | TouchType (int touch_no, int all=false)
static int | TouchX (int touch_no, int all=false)
static int | TouchY (int touch_no, int all=false)
static int | TouchXPrev (int touch_no, int all=false)
static int | TouchYPrev (int touch_no, int all=false)
static int | TouchXSpeed (int touch_no)
static int | TouchYSpeed (int touch_no)
static int | TouchesXSpeed ()
static int | TouchesYSpeed ()
static int | TouchHit (int touch_no, int all=false)
static int | TouchesDown ()
static int | TouchesHit ()
static int | TouchesRelease ()

## Public Attributes

float | x
float | y
float | old_x
float | old_y
int | type
int | hit

## Static Public Attributes

static vector< Touch * > | touch_list
static vector< Touch * > | all_touch_list

## Constructor & Destructor Documentation

## § Touch()

Touch::Touch | ( | int | xx,
|  | int | yy,
|  | int | old_xx,
|  | int | old_yy,
|  | int | touch_type
| ) |  |

inline

## Member Function Documentation

## § ClearTouches()

static void Touch::ClearTouches | ( |  | ) |

inlinestatic

## § CountAllTouches()

static int Touch::CountAllTouches | ( |  | ) |

inlinestatic

## § CountTouches()

static int Touch::CountTouches | ( |  | ) |

inlinestatic

## § TouchesDown()

static int Touch::TouchesDown | ( |  | ) |

inlinestatic

## § TouchesHit()

static int Touch::TouchesHit | ( |  | ) |

inlinestatic

## § TouchesRelease()

static int Touch::TouchesRelease | ( |  | ) |

inlinestatic

## § TouchesXSpeed()

static int Touch::TouchesXSpeed | ( |  | ) |

inlinestatic

## § TouchesYSpeed()

static int Touch::TouchesYSpeed | ( |  | ) |

inlinestatic

## § TouchHit()

static int Touch::TouchHit | ( | int | touch_no,
|  | int | all = `false`
| ) |  |

inlinestatic

## § TouchType()

static int Touch::TouchType | ( | int | touch_no,
|  | int | all = `false`
| ) |  |

inlinestatic

## § TouchX()

static int Touch::TouchX | ( | int | touch_no,
|  | int | all = `false`
| ) |  |

inlinestatic

## § TouchXPrev()

static int Touch::TouchXPrev | ( | int | touch_no,
|  | int | all = `false`
| ) |  |

inlinestatic

## § TouchXSpeed()

static int Touch::TouchXSpeed | ( | int | touch_no | ) |

inlinestatic

## § TouchY()

static int Touch::TouchY | ( | int | touch_no,
|  | int | all = `false`
| ) |  |

inlinestatic

## § TouchYPrev()

static int Touch::TouchYPrev | ( | int | touch_no,
|  | int | all = `false`
| ) |  |

inlinestatic

## § TouchYSpeed()

static int Touch::TouchYSpeed | ( | int | touch_no | ) |

inlinestatic

## Member Data Documentation

## § all_touch_list

vector< Touch * > Touch::all_touch_list

static

## § hit

int Touch::hit

## § old_x

float Touch::old_x

## § old_y

float Touch::old_y

## § touch_list

vector< Touch * > Touch::touch_list

static

## § type

int Touch::type

## § x

float Touch::x

## § y

float Touch::y

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/touch.h
- openb3dlib.mod/openb3d/src/touch.cpp